/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptssettle.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.format.annotation.NumberFormat;

/**
 * 收入结算Entity
 * @author ssrh
 * @version 2018-06-28
 */
public class WorkReceiptsSettleInvoice extends DataEntity<WorkReceiptsSettleInvoice> {
	
	private static final long serialVersionUID = 1L;
	private String settleId;		// 结算ID
	private String code;		// 发票代码
	private String num;		// 发票号
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double totalMoney;		// 价税合计
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double taxRate;		// 税额
	
	public WorkReceiptsSettleInvoice() {
		super();
	}

	public WorkReceiptsSettleInvoice(String id){
		super(id);
	}

	@ExcelField(title="结算ID", align=2, sort=1)
	public String getSettleId() {
		return settleId;
	}

	public void setSettleId(String settleId) {
		this.settleId = settleId;
	}
	
	@ExcelField(title="发票代码", align=2, sort=2)
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	
	@ExcelField(title="发票号", align=2, sort=3)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="价税合计", align=2, sort=6)
	public Double getTotalMoney() {
		return totalMoney;
	}

	public void setTotalMoney(Double totalMoney) {
		this.totalMoney = totalMoney;
	}
	
	@ExcelField(title="税额", align=2, sort=7)
	public Double getTaxRate() {
		return taxRate;
	}

	public void setTaxRate(Double taxRate) {
		this.taxRate = taxRate;
	}
	
}